# eric4.Preferences.ConfigurationPages.ConfigurationPageBase

Module implementing the base class for all configuration pages.

### Classes

ConfigurationPageBase | Class implementing the base class for all configuration pages.

### Functions

None

## ConfigurationPageBase

Class implementing the base class for all configuration pages.

### Derived from

QWidget

### Methods

ConfigurationPageBase | Constructor
polishPage | Public slot to perform some polishing actions.
saveState | Public method to save the current state of the widget.
setState | Public method to set the state of the widget.

#### ConfigurationPageBase (Constructor)

ConfigurationPageBase()

Constructor

#### ConfigurationPageBase.polishPage

polishPage()

Public slot to perform some polishing actions.

#### ConfigurationPageBase.saveState

saveState()

Public method to save the current state of the widget.

#### ConfigurationPageBase.setState

setState(state)

Public method to set the state of the widget.

state
  state data generated by saveState

Up